Get customer
curl --request GET \
--url https://api.anchorage-staging.com/v4/customers/{customerId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/customers/{customerId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"customerId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customerType": "INDIVIDUAL",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"state": "DRAFT",
"createdAt": "2019-01-02T12:34:56.000Z",
"updatedAt": "2019-01-02T12:34:56.000Z",
"documents": [
{
"documentId": "<string>",
"state": "PENDING",
"signedUrl": "<string>",
"expiresAt": "2019-01-02T12:34:56.000Z"
}
],
"externalId": "<string>",
"dateOfBirth": "2023-12-25"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Get customer
Permissions required: Read Customers
Get a customer, including current state and any documents the partner must provide. Document upload URLs (when present) are short-lived; always refresh via this endpoint before uploading.
GET
/
customers
/
{customerId}
Get customer
curl --request GET \
--url https://api.anchorage-staging.com/v4/customers/{customerId} \
--header 'Api-Access-Key: <api-key>'import requests
url = "https://api.anchorage-staging.com/v4/customers/{customerId}"
headers = {"Api-Access-Key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'Api-Access-Key': '<api-key>'}};
fetch('https://api.anchorage-staging.com/v4/customers/{customerId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"data": {
"customerId": "3486b413-93d3-4447-afce-2b9c9dc34a32",
"customerType": "INDIVIDUAL",
"firstName": "<string>",
"lastName": "<string>",
"email": "jsmith@example.com",
"idNumber": "<string>",
"address": {
"country": "<string>",
"streetAddress": "<string>",
"city": "<string>",
"state": "<string>",
"postalCode": "<string>"
},
"state": "DRAFT",
"createdAt": "2019-01-02T12:34:56.000Z",
"updatedAt": "2019-01-02T12:34:56.000Z",
"documents": [
{
"documentId": "<string>",
"state": "PENDING",
"signedUrl": "<string>",
"expiresAt": "2019-01-02T12:34:56.000Z"
}
],
"externalId": "<string>",
"dateOfBirth": "2023-12-25"
}
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}{
"message": "Missing required field 'amount'."
}Path Parameters
Was this page helpful?